# This compose file brings up the telemetry stack.
#
# When you access Grafana for the first time, you will be prompted for
# credentials which are:
#   - username: admin
#   - password: admin
#

version: "3"

volumes:
  grafana-data:

networks:
  loki:
  mimir:

services:
  # Data visualisation
  grafana:
    image: grafana/grafana:latest
    ports:
      - 3000:3000
    volumes:
      - ./grafana/provisioning/datasources:/etc/grafana/provisioning/datasources
      - grafana-data:/var/lib/grafana
    networks:
      - loki
      - mimir
  
  # Log aggregation
  loki:
    image: grafana/loki:latest
    command: -config.file=/etc/loki/loki-config.yaml
    ports:
      - "3100:3100"
    volumes:
      - ./loki:/etc/loki
    networks:
      - loki

  mimir:
    image: grafana/mimir:latest
    command: -config.file=/etc/mimir/mimir-config.yaml
    ports:
      - 9009:9009
    volumes:
      - ./mimir:/etc/mimir
    networks:
      - mimir